Bug 73953

Summary: [CHROMIUM/SKIA] Handle put[Un/Pre]multipliedImageData conversions in Skia rather than ImageBuffer
Product: WebKit Reporter: Brian Salomon <bsalomon>
Component: CanvasAssignee: Brian Salomon <bsalomon>
Status: RESOLVED FIXED    
Severity: Normal CC: mdelaney7, noel.gordon, senorblanco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 74016    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Failing test output none

Description Brian Salomon 2011-12-06 14:23:45 PST
[CHROMIUM/SKIA] Handle put[Un|Pre]multipliedImageData conversions in Skia rather than ImageBuffer
Comment 1 Brian Salomon 2011-12-06 14:37:25 PST
Created attachment 118113 [details]
Patch
Comment 2 Brian Salomon 2011-12-06 14:40:34 PST
Created attachment 118116 [details]
Failing test output
Comment 3 Stephen White 2011-12-07 08:29:47 PST
Comment on attachment 118113 [details]
Patch

IWBN to be value-preserving over one get/put roundtrip (the way the software implementation is).  But the perf win is probably worth breaking this for now.  r=me
Comment 4 WebKit Review Bot 2011-12-07 10:08:43 PST
Comment on attachment 118113 [details]
Patch

Clearing flags on attachment: 118113

Committed r102244: <http://trac.webkit.org/changeset/102244>
Comment 5 WebKit Review Bot 2011-12-07 10:08:47 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Brian Salomon 2011-12-14 07:54:43 PST
Reopening this issue. The original patch was reverted because it triggered asserts in skia that premultiplied pixels actually are premultiplied. The svg/dynamic-updates/SVGFEDropShadow* tests generate data that is supposed to be premultiplied but isn't. The asserts now are disabled in skia and bug 74025 has been filed against the tests.
Comment 7 WebKit Review Bot 2011-12-14 08:37:34 PST
Comment on attachment 118113 [details]
Patch

Clearing flags on attachment: 118113

Committed r102782: <http://trac.webkit.org/changeset/102782>
Comment 8 WebKit Review Bot 2011-12-14 08:37:39 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 noel gordon 2011-12-18 21:43:10 PST
The ChangeLog tells me nothing about why this change happened, and there are no performance numbers given for the s/w or h/w paths.  Do we have numbers?  And it seems the h/w path breaks get/put round-tripping, per bug 73952.